
let x = Number(localStorage.getItem("gesamtpreis")).toFixed(2);
let y = document.getElementById("gesamtkosten");
y.innerHTML = "Die Gesamtkosten (inkl. MwSt.) belaufen sich auf: " + x + "€";

function checkform() {
    let vorname = document.getElementById('vorname').value;
    let name = document.getElementById('name').value;
    let straße = document.getElementById('straße').value;
    let hausnummer = document.getElementById('hausnummer').value;
    let plz = document.getElementById('plz').value;
    let wohnort = document.getElementById('wohnort').value;
    let email = document.getElementById('email').value;

    if (/[a-zA-Z]{2,}/.test(vorname) === false) alert('vorname falsch');
    if (/[a-zA-Z]{2,}/.test(name) === false) alert('name falsch');
    if (/[a-zA-Z]{2,}/.test(straße) === false) alert('straße falsch');
    if (/[0-9]{1,}/.test(hausnummer) === false) alert('hausnummer falsch');
    if (/[0-9]{4,5}/.test(plz) === false) alert('plz falsch');
    if (/[a-zA-Z]{2,}/.test(wohnort) === false) alert('wohnort falsch');
    if (/^([a-zA-Z0-9]+([-_\.]?[a-zA-Z0-9])+@[a-zA-Z0-9]+([-_\.]?[a-zA-Z0-9])+\.[a-z]{2,4}){0,}$/.test(email) === false) alert('email falsch');
}